osgUtil::RayIntersector::Intersection Struct Reference

`#include <RayIntersector>`

## Public Types

typedef std::vector< unsigned int > | IndexList
typedef std::vector< double > | RatioList

## Public Member Functions

| Intersection ()
bool | operator< (const Intersection &rhs) const
const osg::Vec3d & | getLocalIntersectPoint () const
osg::Vec3d | getWorldIntersectPoint () const
const osg::Vec3 & | getLocalIntersectNormal () const
osg::Vec3 | getWorldIntersectNormal () const
osg::Texture * | getTextureLookUp (osg::Vec3 &tc) const

## Public Attributes

double | distance
osg::NodePath | nodePath
osg::ref_ptr< osg::Drawable > | drawable
osg::ref_ptr< osg::RefMatrix > | matrix
osg::Vec3d | localIntersectionPoint
osg::Vec3 | localIntersectionNormal
IndexList | indexList
RatioList | ratioList
unsigned int | primitiveIndex

## Member Typedef Documentation

## IndexList

typedef std::vector<unsigned int> osgUtil::RayIntersector::Intersection::IndexList

## RatioList

typedef std::vector<double> osgUtil::RayIntersector::Intersection::RatioList

## Constructor & Destructor Documentation

## Intersection()

osgUtil::RayIntersector::Intersection::Intersection | ( |  | ) |

inline

References distance, and primitiveIndex.

Referenced by operator<().

## Member Function Documentation

## getLocalIntersectNormal()

const osg::Vec3 & osgUtil::RayIntersector::Intersection::getLocalIntersectNormal | ( |  | ) | const

inline

References localIntersectionNormal.

## getLocalIntersectPoint()

const osg::Vec3d & osgUtil::RayIntersector::Intersection::getLocalIntersectPoint | ( |  | ) | const

inline

References localIntersectionPoint.

## getTextureLookUp()

osg::Texture * osgUtil::RayIntersector::Intersection::getTextureLookUp | ( | osg::Vec3 & | tc | ) | const

Convenience function for mapping the intersection point to any textures assigned to the objects intersected. Returns the Texture pointer and texture coords of object hit when a texture is available on the object, returns NULL otherwise.

## getWorldIntersectNormal()

osg::Vec3 osgUtil::RayIntersector::Intersection::getWorldIntersectNormal | ( |  | ) | const

inline

References osg::Matrixd::inverse(), localIntersectionNormal, matrix, and osg::Matrixd::transform3x3().

## getWorldIntersectPoint()

osg::Vec3d osgUtil::RayIntersector::Intersection::getWorldIntersectPoint | ( |  | ) | const

inline

References localIntersectionPoint, and matrix.

## operator<()

bool osgUtil::RayIntersector::Intersection::operator< | ( | const Intersection & | rhs | ) | const

inline

References distance, and Intersection().

## Member Data Documentation

## distance

double osgUtil::RayIntersector::Intersection::distance

Referenced by Intersection(), and operator<().

## drawable

osg::ref_ptr<osg::Drawable> osgUtil::RayIntersector::Intersection::drawable

## indexList

IndexList osgUtil::RayIntersector::Intersection::indexList

## localIntersectionNormal

osg::Vec3 osgUtil::RayIntersector::Intersection::localIntersectionNormal

Referenced by getLocalIntersectNormal(), and getWorldIntersectNormal().

## localIntersectionPoint

osg::Vec3d osgUtil::RayIntersector::Intersection::localIntersectionPoint

Referenced by getLocalIntersectPoint(), and getWorldIntersectPoint().

## matrix

osg::ref_ptr<osg::RefMatrix> osgUtil::RayIntersector::Intersection::matrix

Referenced by getWorldIntersectNormal(), and getWorldIntersectPoint().

## nodePath

osg::NodePath osgUtil::RayIntersector::Intersection::nodePath

## primitiveIndex

unsigned int osgUtil::RayIntersector::Intersection::primitiveIndex

Referenced by Intersection().

## ratioList

RatioList osgUtil::RayIntersector::Intersection::ratioList

The documentation for this struct was generated from the following file:

- RayIntersector